//import cn.hutool.core.lang.Assert;
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.dayou.BaseApplication;
//import com.dayou.bo.LeaderRatioBO;
//import com.dayou.configuration.AsyncManager;
//import com.dayou.dto.ItemDTO;
//import com.dayou.entity.BrokerageMarketerRatio;
//import com.dayou.entity.Customer;
//import com.dayou.entity.ItemBrokerageGeneral;
//import com.dayou.service.*;
//import com.dayou.service.impl.ItemBrokerageSequenceServiceImpl;
//import com.google.common.cache.Cache;
//import com.google.common.cache.LoadingCache;
//import com.google.common.collect.Lists;
//import com.zaxxer.hikari.HikariDataSource;
//import lombok.extern.slf4j.Slf4j;
//import org.junit.Test;
//import org.junit.runner.RunWith;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
//import org.springframework.context.ApplicationContext;
//import org.springframework.jdbc.core.JdbcTemplate;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
//
//import java.math.BigDecimal;
//import java.util.List;
//import java.util.Set;
//import java.util.concurrent.ExecutionException;
//
///**
// * 类说明：
// *
// * @author: wucl
// * @since: 2023/3/6
// * created with IntelliJ IDEA.
// */
//@Slf4j
//@SpringBootTest(classes = BaseApplication.class)
//@RunWith(SpringJUnit4ClassRunner.class)
//public class BrokerageTest {
//
//    @Autowired
//    private LoadingCache<String,BigDecimal> marketerRatioCache;
//
//    @Autowired
//    private LoadingCache<Long,BigDecimal> baseAmountsCache;
//
//    @Autowired
//    private LoadingCache<String,BigDecimal> globalConfigCache;
//
//    @Autowired
//    private ICustomerService customerService;
//
//    @Autowired
//    private IItemBrokerageSequenceService itemBrokerageSequenceService;
//
//    private HikariDataSource hikariDataSource;
//
//
//
//
//    @Test
//    public void testBrokerageCache() throws ExecutionException {
//        System.out.println(marketerRatioCache.size());
//        BigDecimal ifPresent = marketerRatioCache.get("2&3");
//        System.out.println(marketerRatioCache.size());
//    }
//
//    public static void main(String ages []) {
////        itemBrokerageSequenceService.doNonMarketerAheadSettle();
////        itemBrokerageSequenceService.doAbleItemBrokerageSettle();
//
//        HikariDataSource hikariDataSource = initDataSource();
//
//        for (int i =0 ;i<100000;i++){
//            new Thread(new Runnable() {
//                @Override
//                public void run() {
//                    StringBuffer sb = new StringBuffer("insert into customer (name) values");
//                    Thread threadName = Thread.currentThread();
//                    System.out.println(threadName +"线程开始执行...");
//                    long start = System.currentTimeMillis();
//                    for (int j =0;j<100;j++){
//                        if (j!=99){
//                            sb.append("('"+Thread.currentThread().getName()+"["+j+"]'),");
//                        }else {
//                            sb.append("('"+Thread.currentThread().getName()+"["+j+"]')");
//                        }
//
//                    }
//                    JdbcTemplate jdbcTemplate = new JdbcTemplate(hikariDataSource);
//                    jdbcTemplate.execute(sb.toString());
//                    long end = System.currentTimeMillis();
//                    System.out.println(threadName +"现成执行完毕,耗时：" + (end-start)+"毫秒");
//                }
//            }).start();
//        }
//        System.out.println("主线程退出...");
//    }
//
//    public static HikariDataSource initDataSource(){
//        HikariDataSource hikariDataSource = new HikariDataSource();
//        hikariDataSource.setConnectionTimeout(600000);
//        hikariDataSource.setMinimumIdle(100);
//        hikariDataSource.setMaximumPoolSize(100000);
//        hikariDataSource.setValidationTimeout(5000);
//        hikariDataSource.setIdleTimeout(300000);
//        hikariDataSource.setLeakDetectionThreshold(500000);
//        hikariDataSource.setJdbcUrl("jdbc:mysql://localhost:3306/item-management?autoReconnect=true&useUnicode=true&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=Asia/Shanghai&allowMultiQueries=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true&rewriteBatchedStatements=true");
//        hikariDataSource.setUsername("root");
//        hikariDataSource.setPassword("914851221");
//        return hikariDataSource;
//    }
//
//}